Subject: Re: [manet] [Editorial Errata Reported] RFC5497 (1724)

From: "Dearlove, Christopher (UK)" <[email-masked]>
Date: Mon, 16 Mar 2009 10:32:27 -0000

This erratum does point out an error, but the correction is
itself incorrect.

The references to Section 5 should be to Section 6. They
should however NOT be to Section 6.2. There are two forms
of Time TLV, both defined in Section 6, one in Section 6.1
and one defined in Section 6.2. To make this reference to
Section 6.2 would imply that these TLVs would have to be
of one form only, which is definitely not the case.
Furthermore part of the specification is in Section 6
before Section 6.1. and that should also be covered by
the reference,

I have not yet seen erratum 1723, but in the indicated
sections, two reference to Section 5 should also be to
Section 6 (not Section 6.1 - although Section 6.1 rather
than Section 6.2 applies, Section 6 before Section 6.1
also should be included in the cross-reference).

The erratum here should be

Original Text
-------------
a) Section 8.1, last paragraph

   An INTERVAL_TIME TLV is an example of a Time TLV specified as in
|  Section 5.

b) Section 8.2, last paragraph

   A VALIDITY_TIME TLV is an example of a Time TLV specified as in
|  Section 5.

Corrected Text
--------------
a)

   An INTERVAL_TIME TLV is an example of a Time TLV specified as in
|  Section 6.

b)

   A VALIDITY_TIME TLV is an example of a Time TLV specified as in
|  Section 6.

Christopher Dearlove (co-author of RFC 5497)

-- 
Christopher Dearlove
Technology Leader, Communications Group
Networks, Security and Information Systems Department
BAE Systems Advanced Technology Centre
West Hanningfield Road, Great Baddow, Chelmsford, CM2 8HN, UK
Tel: +44 1245 242194  Fax: +44 1245 242124

BAE Systems (Operations) Limited
Registered Office: Warwick House, PO Box 87,
Farnborough Aerospace Centre, Farnborough, Hants, GU14 6YU, UK
Registered in England & Wales No: 1996687

-----Original Message-----
From: RFC Errata System [mailto:[email-masked]] 
Sent: 16 March 2009 10:16
To: [email-masked]; Dearlove, Christopher (UK);
[email-masked]; [email-masked]; [email-masked];
[email-masked]; [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: [Editorial Errata Reported] RFC5497 (1724)

               *** WARNING ***

This mail has originated outside your organization,
either from an external partner or the Global Internet. 
     Keep this in mind if you answer this message. 

The following errata report has been submitted for RFC5497,
"Representing Multi-Value Time in Mobile Ad Hoc Networks (MANETs)".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=5497&eid=1724

--------------------------------------
Type: Editorial
Reported by: Alfred Hoenes <[email-masked]>

Section: 8.1 and 8.2

Original Text
-------------
a) Section 8.1, last paragraph

   An INTERVAL_TIME TLV is an example of a Time TLV specified as in
|  Section 5.

b) Section 8.2, last paragraph

   A VALIDITY_TIME TLV is an example of a Time TLV specified as in
|  Section 5.

Corrected Text
--------------
a)

   An INTERVAL_TIME TLV is an example of a Time TLV specified as in
|  Section 6.2.

b)

   A VALIDITY_TIME TLV is an example of a Time TLV specified as in
|  Section 6.2.

Notes
-----
Rationale:
Section 5 only contains the low-level details;
Section 6, and in particular Section 6.2, contains the precise
specification of the Time TLV format used in Sections 8.1 and 8.2. 

See Errata ID #1723 for similar issues in Sections 7.1 and 7.2.

Instructions:
-------------
This errata is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC5497 (draft-ietf-manet-timetlv-08)
--------------------------------------
Title               : Representing Multi-Value Time in Mobile Ad Hoc
Networks (MANETs)
Publication Date    : March 2009
Author(s)           : T. Clausen, C. Dearlove
Category            : PROPOSED STANDARD
Source              : Mobile Ad-hoc Networks
Area                : Routing
Stream              : IETF
Verifying Party     : IESG

********************************************************************
This email and any attachments are confidential to the intended
recipient and may also be privileged. If you are not the intended
recipient please delete it from your system and notify the sender.
You should not copy it or use it for any purpose nor disclose or
distribute its contents to any other person.
********************************************************************

---

From: RFC Errata System <[email-masked]>
Date: Mon, 16 Mar 2009 03:16:26 -0700 (PDT)

Section: 8.1 and 8.2

Original Text
-------------

Corrected Text
--------------
a)

b)

Notes
-----
Rationale:

Instructions:
-------------

Title               : Representing Multi-Value Time in Mobile Ad Hoc Networks (MANETs)